{--------------------------------------------------------}
{
{    Mini gravador de som - módulo de mensagens
{
{    Por José Antonio Borges
{
{    Em 29/05/98
{
{--------------------------------------------------------}

unit mgmsg;
interface
uses dvcrt, dvwin;

const
    msgTitulo = 'Mini gravador de som';

procedure mensagem (nomeArq: string; nlf: integer);

implementation

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;
begin
    if nomeArq = 'MGINIC' then
        s := 'Mini gravador de som'
    else
    if nomeArq = 'MGERRCRG' then
        s := 'Erro ao carregar o gravador do Windows'
    else
    if nomeArq = 'MGINIGRV' then
        s := 'Tecle Enter para gravar, ESC termina'
    else
    if nomeArq = 'MGRADTEL' then
        s := 'Qualidade estéreo, rádio ou telefone ? '
    else
    if nomeArq = 'MGNAOSUP' then
        s := 'Formato não suportado pela placa de som'
    else
    if nomeArq = 'MGGRVPAR' then
        s := 'Aperte enter para gravar e parar, ESC termina'
    else
    if nomeArq = 'MGAJUTOC' then
        s := 'Enter toca e para, esc termina; posicione com direita, esquerda, home e end.'
    else
    if nomeArq = 'MGESCPAR' then
        s := 'Aperte enter para tocar, F1 ajuda'
    else
    if nomeArq = 'MGNOMGRV' then
        s := 'Qual o arquivo a gravar'
    else
    if nomeArq = 'MGARQEXI' then
        s := 'Quer destruir arquivo existente ? '
    else
    if nomeArq = 'MGCRGSOM' then
        s := 'Carregando som'
    else
    if nomeArq = 'MGERRNOM' then
        s := 'Nome de arquivo incorreto'
    else
    if nomeArq ='MGNOMCRG' then
        s := 'Qual o arquivo a carregar'
    else
    if nomeArq = 'MGECO' then
        s := 'Eco adicionado'
    else
    if nomeArq = 'MGVOLSUB' then
        s := 'Volume subido em 25 por cento'
    else
    if nomeArq = 'MGVOLDES' then
        s := 'Volume descido em 25 por cento'
    else
    if nomeArq = 'MGSOMINV' then
        s := 'Som invertido'
    else
    if nomeArq = 'MGREMANT' then
        s := 'Trecho anterior removido'
    else
    if nomeArq = 'MGREMPOS' then
        s := 'Trecho posterior removido'
    else
    if nomeArq = 'MGUNDO' then
        s := 'Voltei ao último arquivo gravado'
    else
    if nomeArq = 'MGNOVSOM' then
        s := 'Novo som criado'
    else
    if nomeArq = 'MGOPCAO' then
        s := 'Qual sua opção ? '
    else
    if nomeArq = 'MGOPINV' then
        s := 'Opção inválida, F1 ajuda'
    else
    if nomeArq = 'MGQUERSV' then
        s := 'Quer salvar o arquivo ? '
    else
    if nomeArq = 'MGNOMMIS' then
        s := 'Qual o arquivo de som a misturar ?'
    else
    if nomeArq = 'MGMISTUR' then
        s := 'Sons misturados'
    else
    if nomeArq = 'MGERRMIS' then
        s := 'Erro: não foi possível misturar'
    else
    if nomeArq = 'MGOK' then
        s := 'Ok'
    else
    if nomeArq = 'MGQUERED' then
        s := 'Quer editar o som gravado ? '
    else
    if nomeArq = 'MGUMMOME' then
        s := 'Um momento'
    else
    if nomeArq = 'MGAJUDA' then
        begin
            writeln ('As opções são');
            writeln ('T toca  G grava mais  S salva arquivo');
            writeln ('+  Sobe Volume  -  Desce volume');
            writeln ('M mistura outro som neste');
            writeln ('E adiciona Eco   R som retrógado');
            writeln ('A apaga trecho anterior');
            writeln ('P apaga trecho posterior');
            writeln ('N nova gravação');
            writeln ('U desfaz últimas alterações');
            s := '';
        end

    else
        s := '--> Mensagem invalida: ' + nomeArq;

    write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomeArq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

end.
